/************************************************************
*
*				Overlay 
*				
***********************************************************/

html.co-stopScroll,
html.co-stopScroll body { 
	overflow:hidden;
}


.overlay-content {
	display: none;
}

#content-overlay {
	background:rgba(18, 51, 86, 0.9); 
	background:rgba(43, 196, 163, 0.9);
	background:rgba(0, 0, 0, 0.9); 
	background:rgba(33, 33, 33, 0.9); 
	position: fixed;
	top: 0;
	left: 0;
	z-index: 999999;
	width: 100%;
	height: 100%;
	box-sizing: border-box;
	overflow-y:scroll;
    display: flex;
    flex-direction: column;

	/* top */
	-webkit-box-align: flex-start;
	-webkit-align-items: flex-start;
	-ms-flex-align: flex-start;
	align-items: flex-start;
	
	visibility: hidden;
	opacity: 0;
}
#content-overlay.vcenter { 
	/* center */
	-webkit-box-align: center;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
} 

#content-overlay.auf {
	visibility: visible;
	opacity:1;
} 
#content-overlay.hell {
	background:rgba(255,255,255,0.9);
}
#content-overlay.blur {
	backdrop-filter: blur(4px); 
}


.overlay-wrap {
	visibility: hidden;
	opacity: 0;
	position: relative;
	top: -150px;
	width: 100%;
	
	box-sizing:border-box;
	margin: 0 auto;
	padding: 75px 50px 50px 50px;
	position: relative;
	
	-moz-transition:all 0.75s cubic-bezier(0.23,1,0.32,1) 0s;
	-webkit-transition:all 0.75s cubic-bezier(0.23,1,0.32,1) 0s;
	transition:all 0.75s cubic-bezier(0.23,1,0.32,1) 0s;

}
.overlay-wrap.vcenter{
	margin-top: auto;
	margin-bottom: auto;
}

#content-overlay.auf .overlay-wrap {
	visibility: visible;
	opacity: 1;
	top: 0;
}
.overlay-wrap .container {
	position: relative;
}

/* 
	popup - box 
*/
.overlay-wrap.popup {
	margin: 5%;
}
.overlay-wrap.popup.klein {
	width: 90%;
	max-width: 850px;
	margin: 50px auto;
}
.overlay-wrap.bg-white {
	background-color: #fff;
}
.overlay-wrap.text-black {
	color: #000;
}
.overlay-wrap.rounded {
	border-radius: 4px; 
}
.overlay-wrap.box-shadow {
	-webkit-box-shadow: 1px 3px 3px 0 rgba(0,0,0,.2), 1px 3px 15px 2px rgba(0,0,0,.2);
    box-shadow: 1px 3px 3px 0 rgba(0,0,0,.2), 1px 3px 15px 2px rgba(0,0,0,.2);
}


/** Full Overlay - Anpassunegn **/
.overlay-wrap {
	color: #fff;
}

.overlay-wrap a:hover {
    color: #fff;
}
.overlay-wrap ul {
    list-style-type: disc;
    padding-left: 20px;
}


/* Buttons  */
.overlayClose:hover,
.overlay-opener:hover {
	cursor: pointer;
}

/* overlay Close */
.overlayX-font,
.overlayX-svg {
	position: relative;
    /*top: 24px;
    right: 40px;*/
}

/* X font */
.overlayX-font {
    line-height: 38px;
    font-size: 38px;
    color: #fff;
    opacity: 0.7;
}
.overlayX-font:hover {
	color:#fff;
	opacity: 1;
}

/* X svg */
.overlayX-svg {
    width: 38px;
    height: 38px;
	opacity: 0.7; 
	background-image: url(modal_close.svg);
	background-size: 100%;
	background-repeat: no-repeat;
}
.overlayX-svg img{
	width: 100%;
}
.overlayX-svg:hover {
	opacity:1;
}

/* X :before - für DIVI *//*
#content-overlay .overlay-wrap:before {
	content: "\f00d";
    font-family: "FontAwesome";
    line-height: 38px;
    font-size: 38px;
    color: #fff;
    display: inline-block;
    text-align: right;
    position: relative;
    z-index: 9999;
    float: right;
    margin-top: 50px;
    margin-bottom: 30px;
} 
*/

.overlayX-font-wrap {
    width: 90%;
    padding: 60px 0 10px 0;
    text-align: right;
    margin: 0 auto;
    display: inline-block;
    
    max-width: 1100px;
}


/* WP DIVI - Damit man mit dem Divi es bearbeiten kann */
body.logged-in .overlay-content,
body.logged-in .overlay-wrap {
	visibility: visible;
	opacity:1;
	display: block;
	top: 0;
}
body.logged-in .overlay-content {
	background-color: #ccc;
	border: 2px dashed #000;
	color: #000;
	padding: 20px;
}

#content-overlay .overlay-wrap {
	margin: 0 auto !important;
} 
 
